import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { ScheduleModule } from '@nestjs/schedule';
import { TypeOrmModule } from '@nestjs/typeorm';
import { RateLimiterModule } from 'nestjs-rate-limiter';

import User from './entity/user';
import { TechModule } from './apps/pluginORM';
import { CatsModule } from './apps/pluginORM/cats/cats.module';
import { RateModule } from './apps/pluginRate';
import { UseControllerModule } from './apps/useController';
@Module({
  imports: [
    TechModule,
    RateModule,
    RateLimiterModule,
    UseControllerModule,
    ScheduleModule.forRoot(),
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: '106.54.173.60',
      port: 3306,
      username: 'nest_test',
      password: 'ne5BbDCiYwx3n6nE',
      database: 'nest_test',
      entities: [User],
      synchronize: true, // 是否开启同步
      autoLoadEntities: true, // 是否自动导入
      logging: false, // 打印日志
    }),
    CatsModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
