# 集成Swagger

https://docs.nestjs.com/openapi/introduction

要开始使用，首先安装依赖、

$ npm install --save @nestjs/swagger swagger-ui-expressCopy to clipboardErrorCopied

如果使用fastify，安装fastify-swagger而不是swagger-ui-express:

$ npm install --save @nestjs/swagger fastify-swagger

安装完成后，在main.ts文件中定义并初始化SwaggerModule类:

```js
import { NestFactory } from '@nestjs/core';
import { NestExpressApplication } from '@nestjs/platform-express';
import { AppModule } from './app.module';
import { join } from 'path';
import { SwaggerModule, DocumentBuilder } from '@nestjs/swagger';

async function bootstrap() {
  console.log(__dirname);
  const app = await NestFactory.create<NestExpressApplication>(AppModule);
  app.useStaticAssets(join(__dirname, '..', 'public'));
  app.setBaseViewsDir(join(__dirname, '..', 'templates'));
  app.setViewEngine('hbs');
  app.useStaticAssets(join(__dirname, '..', 'public'), {
    prefix: '/static',
  });

  const config = new DocumentBuilder()
    .setTitle('Nest.js')
    .setDescription('使用Nest.js')
    .setVersion('1.0')
    .addTag('Use Nest.js')
    .build();
  const document = SwaggerModule.createDocument(app, config);
  SwaggerModule.setup('api', app, document);

  await app.listen(3000);
}
bootstrap();
```

## 标签

```js
@ApiTags('模板使用')
  @Get('/temp1')
  @Render('index')
  temp1() {
    return {
      message: 'Hello,,Nest',
    };
  }
```


## 响应


```js
@ApiResponse({ status: 201, description: 'The record has been successfully created.'})
@ApiResponse({ status: 403, description: 'Forbidden.'})
```