import { Controller, Get, HttpStatus, Param, Req, Res } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { Response, Request } from 'express';

@Controller('/useController')
@ApiTags('Controller使用')
export default class ParamController {
  // 基本控制器
  @Get('/t1')
  getT1() {
    return '测试路由';
  }
  // Get请求参数
  @Get('/t2')
  getT2() {
    return '测试路由';
  }
  // Post参数
  @Get('/t3')
  getT3() {
    return '测试路由';
  }
  // Request对象
  @Get('/request')
  getT4(@Req() request: Request) {
    console.log(request);
    return {
      method: request.method,
      url: request.url,
      baseUrl: request.baseUrl,
      headers: request.headers,
      cookies: request.cookies,
      statusCode: request.statusCode,
      route: request.route,
    };
  }

  // Get路径参数
  @Get('/query_param/:name')
  getT5(@Param() params) {
    console.log(params);
    return {
      ...params,
    };
  }
  /// 自定义Response
  @Get('/response')
  getT6(@Res() res: Response) {
    res.status(HttpStatus.CREATED).send([1, 2, 3]);
  }
}
